EC_EDITLINE_GETS(3)

NAME
ec_editline_gets - Get a line interactively (with completion).

SYNOPSIS
#include <ecoli/editline.h>

char * ec_editline_gets(
    struct ec_editline   *editline   /* The pointer to the ec_editline structure. */
);

DESCRIPTION

Wrapper to libedit el_gets(). It returns the edited line without its ", and adds it to the history.

RETURN VALUE

An allocated string containing the edited line, that must be freed by the caller using free().

SEE ALSO

ec_editline_get_el(3), ec_editline_set_prompt(3), ec_editline_complete(3), ec_editline_set_prompt_esc(3), ec_editline_parse(3), ec_editline_free(3), ec_editline_term_size(3), ec_editline_interact(3), ec_editline_set_node(3), ec_editline_set_history(3), ec_editline(3), ec_editline_get_node(3), ec_editline_curline(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.